<?php

/**
 * @file
 * Actual function bodies for default hook definitions in
 * feeds_social.features.inc.
 */

/**
 * Helper to implementation of hook_ctools_plugin_api().
 */
function _feeds_social_ctools_plugin_api() {
  $args = func_get_args();
  $module = array_shift($args);
  $api = array_shift($args);
  if ($module == "feeds" && $api == "feeds_importer_default") {
    return array("version" => 1);
  }
}

/**
 * Helper to implementation of hook_feeds_importer_default().
 */
function _feeds_social_feeds_importer_default() {
  $export = array();
  
  //Twitter Importer
  $feeds_importer = new stdClass;
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'feed_twitter';
  $feeds_importer->config = array(
    'name' => 'Twitter',
    'description' => 'Import Twitter updates from RSS, create nodes from feed items.',
    'fetcher' => array(
      'plugin_key' => 'FeedsHTTPFetcher',
      'config' => array(
        'auto_detect_feeds' => FALSE,
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsTwitterParser',
      'config' => array(),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'content_type' => 'feed_item_twitter',
        'update_existing' => 0,
        'expire' => '-1',
        'mappings' => array(
          '0' => array(
            'source' => 'tweet_text',
            'target' => 'title',
            'unique' => FALSE,
          ),
          '1' => array(
            'source' => 'tweet_html',
            'target' => 'body',
            'unique' => FALSE,
          ),
          '2' => array(
            'source' => 'published',
            'target' => 'created',
            'unique' => FALSE,
          ),
          '3' => array(
            'source' => 'author_name',
            'target' => 'field_twitter_author_name',
            'unique' => FALSE,
          ),
          '4' => array(
            'source' => 'author_uri',
            'target' => 'field_author_link',
            'unique' => FALSE,
          ),
          '5' => array(
            'source' => 'author_pic',
            'target' => 'field_author_img',
            'unique' => FALSE,
          ),
          '6' => array(
            'source' => 'tweet_link',
            'target' => 'field_tweet_url',
            'unique' => FALSE,
          ),
          '7' => array(
            'source' => 'guid',
            'target' => 'guid',
            'unique' => TRUE,
          ),
        ),
      ),
    ),
    'content_type' => 'feed_twitter',
    'update' => 0,
    'import_period' => '1800',
    'expire_period' => 3600,
    'import_on_create' => 1,
  );

  $export['feed'] = $feeds_importer;
  
  
$feeds_importer = new stdClass;
$feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
$feeds_importer->api_version = 1;
$feeds_importer->id = 'facebook';
$feeds_importer->config = array(
  'name' => 'Facebook',
  'description' => 'Imports Facebook Links from RSS, create nodes from feed items.',
  'fetcher' => array(
    'plugin_key' => 'FeedsHTTPFetcher',
    'config' => array(
      'auto_detect_feeds' => FALSE,
      'use_pubsubhubbub' => FALSE,
      'designated_hub' => '',
    ),
  ),
  'parser' => array(
    'plugin_key' => 'FeedsFacebookParser',
    'config' => array(),
  ),
  'processor' => array(
    'plugin_key' => 'FeedsNodeProcessor',
    'config' => array(
      'content_type' => 'feed_item_facebook',
      'update_existing' => 1,
      'expire' => '604800',
      'mappings' => array(
        '0' => array(
          'source' => 'guid',
          'target' => 'guid',
          'unique' => 1,
        ),
        '1' => array(
          'source' => 'published',
          'target' => 'created',
          'unique' => FALSE,
        ),
        '2' => array(
          'source' => 'title',
          'target' => 'title',
          'unique' => FALSE,
        ),
        '3' => array(
          'source' => 'body',
          'target' => 'body',
          'unique' => FALSE,
        ),
        '4' => array(
          'source' => 'url',
          'target' => 'field_facebook_link',
          'unique' => FALSE,
        ),
        '5' => array(
          'source' => 'author',
          'target' => 'field_facebook_author',
          'unique' => FALSE,
        ),
      ),
      'author' => 0,
    ),
  ),
  'content_type' => 'feed_facebook',
  'update' => 0,
  'import_period' => '1800',
  'expire_period' => 3600,
  'import_on_create' => 1,
);
  

$export['feed2'] = $feeds_importer;
  
  
  return $export;
}
